<?php
if (!core::ifGet("id")) {
    $id_form = '<input type="hidden" name="id" value="add">';
    $submit = "Ajouter ce nouvel évènement";
    
    $event["startDate"] = date("Y-m-d H:i");
    $event["endDate"] = date("Y-m-d H:i");
    $event["type_emargement"]=$event["type_inscription"]=NULL;
    $actif = "";
} else {
    $event = event::getFiche(core::getGet("id"));
    if ($event["actif"] == 1) {
        $actif_1 = " selected";
        $actif_0 = "";
        $styleColor = ' style="background-color: #d4edda; color: green;"';
    } else {
        $actif_1 = "";
        $actif_0 = " selected";
        $styleColor = ' style="background-color: #f8d7da; color: red;"';
    }

    $id_form = '<input type="hidden" name="id" value="' . $event["id"] . '">';
    $actif = '<br /><div class="form-group">
            <label>Etat</label>
            <select name="actif" class="form-select" id="actifSelecteur" '.$styleColor.'>
                <option value="0"' . $actif_0 . ' data-actif="0">Cet évènement est désactivé (invisible des salariés)</option>
                <option value="1"' . $actif_1 . ' data-actif="1">Cet évènement est actif (visible des salariés)</option>
            </select>
        </div>
        <br />';
    $submit = "Modifier cet évènement";
    
    $nbEmargement = event::checkEmargement($event["id"]);
}

?>
<?php 
    if(isset($event["id"]) AND $nbEmargement == 0){ 
?>
    <div style="float:right; margin-top: -60px;">
        <a href="/submit.php?from=event-delete&id=<?php echo $event["id"] ?>" style="color: #dc3545; text-decoration:none;" onclick="return confirm('Voulez-vous supprimer cet évènement ?')"><button type="submit" class="btn btn-outline-danger btn-sm"><?php icon::getFont(["icon" => "bi-trash-fill"]) ?></i> Supprimer</button></a>
    </div>
<?php   
    } 
    if(isset($event["id"]) AND $nbEmargement > 0){
?>
    <div style="float:right; margin-top: -60px;">
        <button class="btn btn-outline-secondary btn-sm" onclick="alert('Cet évènement ne peut plus être supprimé car un ou plusieurs émargements ont été réalisés.')" >Cet évènement est vérouillé</button>
    </div>
<?php   
    } 
?>
<form method="post" action="/submit.php">

    <input type="hidden" name="from" value="evenement">

    <?php
        echo $id_form;
    ?>
    <div class="form-group">
        <label>Titre</label>
        <input type="text" class="form-control" value="<?php
        if (isset($event["titre"])) {
            echo $event["titre"];
        }
        ?>" name="titre" placeholder="" required>
    </div>
    <br />
    <div class="form-group">
        <label>Description</label>
        <textarea class="form-control" name="description" style="height:100%;"><?php
        if (isset($event["description"])) {
            echo $event["description"];
        }
        ?></textarea>
    </div>
    <br />
    <div class="form-group">
        <label>Date du début de l'évènement</label>
        <input type="datetime-local" class="form-control" name="startDate" value="<?php
        if (isset($event["startDate"])) {
            echo $event["startDate"];
        }
        ?>"  placeholder="" required>
    </div>
    <br />
    <div class="form-group">
        <label>Date du début de la fin de l'évènement</label>
        <input type="datetime-local" class="form-control" name="endDate" value="<?php
        if (isset($event["endDate"])) {
            echo $event["endDate"];
        }
        ?>" placeholder="" required>
    </div>
    <br />
    <div class="form-group">
        <label>Type d'émargement</label>
        <select name="type_emargement" class="form-select">
            <option value="1"<?php if(isset($event["type_emargement"]) AND $event["type_emargement"] == 1){ echo " selected"; } ?>>Emargement par contrôle (Le salarié présente son QRCode à une personne qui valide l'émargement)</option>
            <option value="2"<?php if(isset($event["type_emargement"]) AND $event["type_emargement"] == 2){ echo " selected"; } ?>>Emargement autonome (Le salarié flash un QRCode pour se présenter)</option>
        </select>
    </div>
    <br />
    <div class="form-group">
        <label>Type d'inscription</label>
        <?php 
            if(isset($event["type_inscription"])) { 
                
                $txtActif = ($event["type_inscription"] == 1) ? "L'émargement ne peut se faire que si l'on est inscrit" : "L'émargement est ouvert à tous les salariés";
                
                echo '<input class="form-control" value="'.$txtActif.'" disabled readonly><input type="hidden" name="type_inscription" value="'.$event["type_inscription"].'">';
            } else { ?>
                <select name="type_inscription" class="form-select">
                    <option value="0">L'émargement est ouvert à tous les salariés</option>
                    <option value="1">L'émargement ne peut se faire que si l'on est inscrit</option>
                </select>
        <?php
            }
        ?>
        
    </div>

    <?php 
        if(core::ifGet("add")) { echo '<input type="hidden" name="actif" value="0">'; } 
        echo $actif;
    ?>
    <br />

    <input class="btn btn-primary btn-lg" style="width: 100%" type="submit" value="<?php echo $submit ?>">
    
</form>

<script>

    $("#actifSelecteur").change(function() {
        if($(this).find(':selected').data("actif") == 1){
            $("#actifSelecteur").css("background-color", "#d4edda");
            $("#actifSelecteur").css("color", "green");
        } else {
            $("#actifSelecteur").css("background-color", "#f8d7da");
            $("#actifSelecteur").css("color", "red");
        }
    });
    
</script>